// package: bet.beteran.c2se.member_settlement_setting
// file: c2se/member_settlement_setting.proto

import * as jspb from 'google-protobuf';
import * as protobuf_rpc_pb from '../protobuf/rpc_pb';
import * as protobuf_pagination_pb from '../protobuf/pagination_pb';
import * as models_member_settlement_setting_pb from '../models/member_settlement_setting_pb';

export class CreateMemberSettlementSettingRequest extends jspb.Message {
  getMemberId(): string;
  setMemberId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): CreateMemberSettlementSettingRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberSettlementSettingRequest
  ): CreateMemberSettlementSettingRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberSettlementSettingRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): CreateMemberSettlementSettingRequest;
  static deserializeBinaryFromReader(
    message: CreateMemberSettlementSettingRequest,
    reader: jspb.BinaryReader
  ): CreateMemberSettlementSettingRequest;
}

export namespace CreateMemberSettlementSettingRequest {
  export type AsObject = {
    memberId: string;
  };
}

export class CreateMemberSettlementSettingResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CreateMemberSettlementSettingResponse.Result | undefined;
  setResult(value?: CreateMemberSettlementSettingResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): CreateMemberSettlementSettingResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: CreateMemberSettlementSettingResponse
  ): CreateMemberSettlementSettingResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: CreateMemberSettlementSettingResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): CreateMemberSettlementSettingResponse;
  static deserializeBinaryFromReader(
    message: CreateMemberSettlementSettingResponse,
    reader: jspb.BinaryReader
  ): CreateMemberSettlementSettingResponse;
}

export namespace CreateMemberSettlementSettingResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: CreateMemberSettlementSettingResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberSettlementSetting(): boolean;
    clearMemberSettlementSetting(): void;
    getMemberSettlementSetting():
      | models_member_settlement_setting_pb.MemberSettlementSetting
      | undefined;
    setMemberSettlementSetting(
      value?: models_member_settlement_setting_pb.MemberSettlementSetting
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberSettlementSetting?: models_member_settlement_setting_pb.MemberSettlementSetting.AsObject;
    };
  }
}

export class ListMemberSettlementSettingsRequest extends jspb.Message {
  hasPagination(): boolean;
  clearPagination(): void;
  getPagination(): protobuf_pagination_pb.Pagination | undefined;
  setPagination(value?: protobuf_pagination_pb.Pagination): void;

  clearSortsList(): void;
  getSortsList(): Array<protobuf_pagination_pb.Sort>;
  setSortsList(value: Array<protobuf_pagination_pb.Sort>): void;
  addSorts(
    value?: protobuf_pagination_pb.Sort,
    index?: number
  ): protobuf_pagination_pb.Sort;

  hasSearch(): boolean;
  clearSearch(): void;
  getSearch(): ListMemberSettlementSettingsRequest.Search | undefined;
  setSearch(value?: ListMemberSettlementSettingsRequest.Search): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): ListMemberSettlementSettingsRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: ListMemberSettlementSettingsRequest
  ): ListMemberSettlementSettingsRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: ListMemberSettlementSettingsRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): ListMemberSettlementSettingsRequest;
  static deserializeBinaryFromReader(
    message: ListMemberSettlementSettingsRequest,
    reader: jspb.BinaryReader
  ): ListMemberSettlementSettingsRequest;
}

export namespace ListMemberSettlementSettingsRequest {
  export type AsObject = {
    pagination?: protobuf_pagination_pb.Pagination.AsObject;
    sortsList: Array<protobuf_pagination_pb.Sort.AsObject>;
    search?: ListMemberSettlementSettingsRequest.Search.AsObject;
  };

  export class Search extends jspb.Message {
    hasMemberId(): boolean;
    clearMemberId(): void;
    getMemberId(): string;
    setMemberId(value: string): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Search.AsObject;
    static toObject(includeInstance: boolean, msg: Search): Search.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Search,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Search;
    static deserializeBinaryFromReader(
      message: Search,
      reader: jspb.BinaryReader
    ): Search;
  }

  export namespace Search {
    export type AsObject = {
      memberId: string;
    };
  }
}

export class ListMemberSettlementSettingsResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): ListMemberSettlementSettingsResponse.Result | undefined;
  setResult(value?: ListMemberSettlementSettingsResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): ListMemberSettlementSettingsResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: ListMemberSettlementSettingsResponse
  ): ListMemberSettlementSettingsResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: ListMemberSettlementSettingsResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): ListMemberSettlementSettingsResponse;
  static deserializeBinaryFromReader(
    message: ListMemberSettlementSettingsResponse,
    reader: jspb.BinaryReader
  ): ListMemberSettlementSettingsResponse;
}

export namespace ListMemberSettlementSettingsResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: ListMemberSettlementSettingsResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    clearMemberSettlementSettingsList(): void;
    getMemberSettlementSettingsList(): Array<models_member_settlement_setting_pb.MemberSettlementSetting>;
    setMemberSettlementSettingsList(
      value: Array<models_member_settlement_setting_pb.MemberSettlementSetting>
    ): void;
    addMemberSettlementSettings(
      value?: models_member_settlement_setting_pb.MemberSettlementSetting,
      index?: number
    ): models_member_settlement_setting_pb.MemberSettlementSetting;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberSettlementSettingsList: Array<models_member_settlement_setting_pb.MemberSettlementSetting.AsObject>;
    };
  }
}

export class GetMemberSettlementSettingRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): GetMemberSettlementSettingRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberSettlementSettingRequest
  ): GetMemberSettlementSettingRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberSettlementSettingRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): GetMemberSettlementSettingRequest;
  static deserializeBinaryFromReader(
    message: GetMemberSettlementSettingRequest,
    reader: jspb.BinaryReader
  ): GetMemberSettlementSettingRequest;
}

export namespace GetMemberSettlementSettingRequest {
  export type AsObject = {
    id: string;
  };
}

export class GetMemberSettlementSettingResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberSettlementSettingResponse.Result | undefined;
  setResult(value?: GetMemberSettlementSettingResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): GetMemberSettlementSettingResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: GetMemberSettlementSettingResponse
  ): GetMemberSettlementSettingResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: GetMemberSettlementSettingResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): GetMemberSettlementSettingResponse;
  static deserializeBinaryFromReader(
    message: GetMemberSettlementSettingResponse,
    reader: jspb.BinaryReader
  ): GetMemberSettlementSettingResponse;
}

export namespace GetMemberSettlementSettingResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: GetMemberSettlementSettingResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberSettlementSetting(): boolean;
    clearMemberSettlementSetting(): void;
    getMemberSettlementSetting():
      | models_member_settlement_setting_pb.MemberSettlementSetting
      | undefined;
    setMemberSettlementSetting(
      value?: models_member_settlement_setting_pb.MemberSettlementSetting
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberSettlementSetting?: models_member_settlement_setting_pb.MemberSettlementSetting.AsObject;
    };
  }
}

export class UpdateMemberSettlementSettingRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getCanExchange(): boolean;
  setCanExchange(value: boolean): void;

  getCanFirstChargeComp(): boolean;
  setCanFirstChargeComp(value: boolean): void;

  getCanPerChargeComp(): boolean;
  setCanPerChargeComp(value: boolean): void;

  getSettlementType(): models_member_settlement_setting_pb.SettlementTypeMap[keyof models_member_settlement_setting_pb.SettlementTypeMap];
  setSettlementType(
    value: models_member_settlement_setting_pb.SettlementTypeMap[keyof models_member_settlement_setting_pb.SettlementTypeMap]
  ): void;

  getManualPaymentTypeForPartner(): models_member_settlement_setting_pb.ManualPaymentTypeMap[keyof models_member_settlement_setting_pb.ManualPaymentTypeMap];
  setManualPaymentTypeForPartner(
    value: models_member_settlement_setting_pb.ManualPaymentTypeMap[keyof models_member_settlement_setting_pb.ManualPaymentTypeMap]
  ): void;

  getRateCasino(): number;
  setRateCasino(value: number): void;

  getRateCasinoLoosing(): number;
  setRateCasinoLoosing(value: number): void;

  getRateCasinoBacara(): number;
  setRateCasinoBacara(value: number): void;

  getRateCasinoRoulette(): number;
  setRateCasinoRoulette(value: number): void;

  getRateCasinoDragonTiger(): number;
  setRateCasinoDragonTiger(value: number): void;

  getRateSlot(): number;
  setRateSlot(value: number): void;

  getRateSlotLoosing(): number;
  setRateSlotLoosing(value: number): void;

  getRatePowerballSingle(): number;
  setRatePowerballSingle(value: number): void;

  getRatePowerballCombo(): number;
  setRatePowerballCombo(value: number): void;

  getRatePowerladderSingle(): number;
  setRatePowerladderSingle(value: number): void;

  getRatePowerladderCombo(): number;
  setRatePowerladderCombo(value: number): void;

  getRateEosSingle(): number;
  setRateEosSingle(value: number): void;

  getRateEosCombo(): number;
  setRateEosCombo(value: number): void;

  getRateBogglepowerballSingle(): number;
  setRateBogglepowerballSingle(value: number): void;

  getRateBogglepowerballCombo(): number;
  setRateBogglepowerballCombo(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): UpdateMemberSettlementSettingRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: UpdateMemberSettlementSettingRequest
  ): UpdateMemberSettlementSettingRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: UpdateMemberSettlementSettingRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): UpdateMemberSettlementSettingRequest;
  static deserializeBinaryFromReader(
    message: UpdateMemberSettlementSettingRequest,
    reader: jspb.BinaryReader
  ): UpdateMemberSettlementSettingRequest;
}

export namespace UpdateMemberSettlementSettingRequest {
  export type AsObject = {
    id: string;
    canExchange: boolean;
    canFirstChargeComp: boolean;
    canPerChargeComp: boolean;
    settlementType: models_member_settlement_setting_pb.SettlementTypeMap[keyof models_member_settlement_setting_pb.SettlementTypeMap];
    manualPaymentTypeForPartner: models_member_settlement_setting_pb.ManualPaymentTypeMap[keyof models_member_settlement_setting_pb.ManualPaymentTypeMap];
    rateCasino: number;
    rateCasinoLoosing: number;
    rateCasinoBacara: number;
    rateCasinoRoulette: number;
    rateCasinoDragonTiger: number;
    rateSlot: number;
    rateSlotLoosing: number;
    ratePowerballSingle: number;
    ratePowerballCombo: number;
    ratePowerladderSingle: number;
    ratePowerladderCombo: number;
    rateEosSingle: number;
    rateEosCombo: number;
    rateBogglepowerballSingle: number;
    rateBogglepowerballCombo: number;
  };
}

export class UpdateMemberSettlementSettingResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberSettlementSettingResponse.Result | undefined;
  setResult(value?: UpdateMemberSettlementSettingResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): UpdateMemberSettlementSettingResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: UpdateMemberSettlementSettingResponse
  ): UpdateMemberSettlementSettingResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: UpdateMemberSettlementSettingResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): UpdateMemberSettlementSettingResponse;
  static deserializeBinaryFromReader(
    message: UpdateMemberSettlementSettingResponse,
    reader: jspb.BinaryReader
  ): UpdateMemberSettlementSettingResponse;
}

export namespace UpdateMemberSettlementSettingResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: UpdateMemberSettlementSettingResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    hasMemberSettlementSetting(): boolean;
    clearMemberSettlementSetting(): void;
    getMemberSettlementSetting():
      | models_member_settlement_setting_pb.MemberSettlementSetting
      | undefined;
    setMemberSettlementSetting(
      value?: models_member_settlement_setting_pb.MemberSettlementSetting
    ): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberSettlementSetting?: models_member_settlement_setting_pb.MemberSettlementSetting.AsObject;
    };
  }
}

export class DeleteMemberSettlementSettingRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): DeleteMemberSettlementSettingRequest.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberSettlementSettingRequest
  ): DeleteMemberSettlementSettingRequest.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberSettlementSettingRequest,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): DeleteMemberSettlementSettingRequest;
  static deserializeBinaryFromReader(
    message: DeleteMemberSettlementSettingRequest,
    reader: jspb.BinaryReader
  ): DeleteMemberSettlementSettingRequest;
}

export namespace DeleteMemberSettlementSettingRequest {
  export type AsObject = {
    id: string;
  };
}

export class DeleteMemberSettlementSettingResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): DeleteMemberSettlementSettingResponse.Result | undefined;
  setResult(value?: DeleteMemberSettlementSettingResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(
    includeInstance?: boolean
  ): DeleteMemberSettlementSettingResponse.AsObject;
  static toObject(
    includeInstance: boolean,
    msg: DeleteMemberSettlementSettingResponse
  ): DeleteMemberSettlementSettingResponse.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: DeleteMemberSettlementSettingResponse,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(
    bytes: Uint8Array
  ): DeleteMemberSettlementSettingResponse;
  static deserializeBinaryFromReader(
    message: DeleteMemberSettlementSettingResponse,
    reader: jspb.BinaryReader
  ): DeleteMemberSettlementSettingResponse;
}

export namespace DeleteMemberSettlementSettingResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject;
    result?: DeleteMemberSettlementSettingResponse.Result.AsObject;
  };

  export class Result extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
    static extensionsBinary: {
      [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
    };
    static serializeBinaryToWriter(
      message: Result,
      writer: jspb.BinaryWriter
    ): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(
      message: Result,
      reader: jspb.BinaryReader
    ): Result;
  }

  export namespace Result {
    export type AsObject = {};
  }
}
